=== images/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2007 Laurent Montel <montel@kde.org>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Tobias Leupold <tobias.leupold@gmx.de>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    search.jpg
    splash.png
    splash-large.png
    pin.png
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/pics"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
