=== themes/dark/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2009 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2016 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    download.png
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    style.css
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/dark"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
