=== themes/rounded/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Laurent Montel <montel@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    imagepage.html
    downbar.png
    downright.png
    rightbar.png
    upleft.png
    downleft.png
    leftbar.png
    upbar.png
    upright.png
    download.png
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/rounded"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
