=== debian/changelog ===
kphotoalbum (5.8.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Aug 2021 12:50:19 +0200

kphotoalbum (5.8.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.8.1).
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Jul 2021 04:09:46 +0900
