=== themes/picBelow/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Miika Turkia <miika.turkia@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    style.css
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/picBelow"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:
