=== debian/changelog ===
kphotoalbum (5.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Fix day-of-week for changelog entry 2.1-1.
  * Rename docs to kphotoalbum.docs to make it clear to which package it refers.
  * Add a simple upstream/metadata file.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Use execute_before_dh_auto_build to avoid invoking dh_auto_build manually.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump Qt packages to 5.10
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Sep 2022 21:01:29 +0200
