=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.3.0~),
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
                extra-cmake-modules,
                gettext,
@@ -27,8 +27,8 @@
                libphonon4qt5-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.9),
-Standards-Version: 4.6.0
+               qtbase5-dev (>= 5.10.0~),
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://kphotoalbum.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
