=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

execute_before_dh_auto_build:
	# force generation of version.h, to avoid races later on
	dh_auto_build --no-parallel -- UpdateVersion

.PHONY: override_dh_auto_test
