## kphotoalbum 5.10.0

=== debian/changelog ===
kphotoalbum (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.18.0
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.78.0

 -- Pino Toscano <pino@debian.org>  Fri, 31 Mar 2023 08:56:11 +0200
