=== debian/control ===
--- 
+++ 
@@ -3,36 +3,36 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
+Build-Depends: cmake (>= 3.18.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 5.78.0~),
                gettext,
                libexiv2-dev (>= 0.19),
                libjpeg-dev,
-               libkf5archive-dev (>= 5.44.0),
-               libkf5completion-dev (>= 5.44.0),
-               libkf5config-dev (>= 5.44.0),
-               libkf5coreaddons-dev (>= 5.44.0),
-               libkf5doctools-dev (>= 5.44.0),
-               libkf5i18n-dev (>= 5.44.0),
-               libkf5iconthemes-dev (>= 5.44.0),
-               libkf5jobwidgets-dev (>= 5.44.0),
+               libkf5archive-dev (>= 5.78.0~),
+               libkf5completion-dev (>= 5.78.0~),
+               libkf5config-dev (>= 5.78.0~),
+               libkf5coreaddons-dev (>= 5.78.0~),
+               libkf5doctools-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5iconthemes-dev (>= 5.78.0~),
+               libkf5jobwidgets-dev (>= 5.78.0~),
                libkf5kdcraw-dev,
-               libkf5kio-dev (>= 5.44.0),
+               libkf5kio-dev (>= 5.78.0~),
                libkf5purpose-dev,
-               libkf5textwidgets-dev (>= 5.44.0),
-               libkf5widgetsaddons-dev (>= 5.44.0),
-               libkf5xmlgui-dev (>= 5.44.0),
+               libkf5textwidgets-dev (>= 5.78.0~),
+               libkf5widgetsaddons-dev (>= 5.78.0~),
+               libkf5xmlgui-dev (>= 5.78.0~),
                libmarble-dev,
                libphonon4qt5-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.10.0~),
-Standards-Version: 4.6.1
+               qtbase5-dev (>= 5.15.0~),
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://kphotoalbum.org
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum/-/tree/experimental
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git -b experimental
 
 Package: kphotoalbum
 Architecture: any
