## kphotoalbum 5.11.0

=== debian/changelog ===
kphotoalbum (5.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 12 Jul 2023 20:18:48 +0200

kphotoalbum (5.10.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:20:45 +0200
