=== debian/control ===
--- 
+++ 
@@ -31,8 +31,8 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://kphotoalbum.org
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum/-/tree/experimental
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git -b experimental
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git
 
 Package: kphotoalbum
 Architecture: any
