=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kphotoalbum
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.18.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.92.0~),
                gettext,
-               libexiv2-dev (>= 0.19),
+               libexiv2-dev (>= 0.27~),
                libjpeg-dev,
                libkf5archive-dev (>= 5.78.0~),
                libkf5completion-dev (>= 5.78.0~),
@@ -25,9 +26,12 @@
                libkf5xmlgui-dev (>= 5.78.0~),
                libmarble-dev,
                libphonon4qt5-dev,
+               libqt5sql5-sqlite <!nocheck>,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://kphotoalbum.org
