=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kphotoalbum
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.18.0~),
                debhelper-compat (= 13),
@@ -27,12 +26,12 @@
                libmarble-dev,
                libphonon4qt5-dev,
                libqt5sql5-sqlite <!nocheck>,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kphotoalbum.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
